CairoMatrix::initIdentity
CairoMatrix::initScale
CairoMatrix
PHP Manual

# CairoMatrix::initRotate

# cairo_matrix_init_rotate

(PECL cairo >= 0.1.0)

CairoMatrix::initRotate -- cairo_matrix_init_rotate — Creates a new rotated matrix

### Description

Object oriented style (method):

public static void CairoMatrix::initRotate ( float `$radians` )

Procedural style:

object cairo_matrix_init_rotate ( float `$radians` )

Creats a new matrix to a transformation that rotates by radians provided

### Parameters

`radians`

  angle of rotation, in radians. The direction of rotation is defined such that positive angles rotate in the direction from the positive X axis toward the positive Y axis. With the default axis orientation of cairo, positive angles rotate in a clockwise direction.

### Return Values

Returns a new CairoMatrix object that can be used with surfaces, contexts, and patterns.

### Examples

Example #1 Object oriented style

`<?php
/* Create a new Matrix */
$matrix = CairoMatrix::initRotate(0.3);
?>`

Example #2 Procedural style

`<?php
/* Create a new Matrix */
$matrix = cairo_matrix_init_rotate(0.3);
?>`

### See Also

- CairoMatrix::__construct() - Creates a new CairoMatrix object
- CairoMatrix::initIdentity() - Creates a new identity matrix
- CairoMatrix::initScale() - Creates a new scaling matrix
- CairoMatrix::initTranslate() - Creates a new translation matrix

CairoMatrix::initIdentity
CairoMatrix::initScale
CairoMatrix
PHP Manual